import request from '@/utils/request'

// 查询报修单-理赔列表
export function listRepairFormClaim(query) {
  return request({
    url: '/business/repairFormClaim/list',
    method: 'get',
    params: query
  })
}

// 查询报修单-理赔详细
export function getRepairFormClaim(id) {
  return request({
    url: '/business/repairFormClaim/' + id,
    method: 'get'
  })
}

// 新增报修单-理赔
export function addRepairFormClaim(data) {
  return request({
    url: '/business/repairFormClaim',
    method: 'post',
    data: data
  })
}

// 修改报修单-理赔
export function updateRepairFormClaim(data) {
  return request({
    url: '/business/repairFormClaim',
    method: 'put',
    data: data
  })
}

// 删除报修单-理赔
export function delRepairFormClaim(id) {
  return request({
    url: '/business/repairFormClaim/' + id,
    method: 'delete'
  })
}
